Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class AbstractColorInterpolationRable

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable

All Implemented Interfaces:
  RenderableImage, Filter

Direct Known Subclasses:
  BatikHistogramNormalizationFilter8Bit, ColorMatrixRable8Bit, ComponentTransferRable8Bit, CompositeRable8Bit, ConvolveMatrixRable8Bit, DiffuseLightingRable8Bit, DisplacementMapRable8Bit, GaussianBlurRable8Bit, SpecularLightingRable8Bit, TileRable8Bit, TurbulenceRable8Bit

    public abstract class AbstractColorInterpolationRable

extends AbstractRable

This is an abstract base class that adds the ability to specify the Color Space that the operation should take place in (linear sRGB or gamma corrected sRBG).

Field Summary
`protected boolean` | `csLinear` Indicates if the operation should be done in linear or gamma corrected sRGB.

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`protected` | `AbstractColorInterpolationRable()` void constructor.
`protected` | `AbstractColorInterpolationRable(Filter src)` Construct an Abstract Rable from src.
`protected` | `AbstractColorInterpolationRable(Filter src, Map props)` Construct an Abstract Rable from src and props.
`protected` | `AbstractColorInterpolationRable(List srcs)` Construct an Abstract Rable from a list of sources.
`protected` | `AbstractColorInterpolationRable(List srcs, Map props)` Construct an Abstract Rable from a list of sources, and bounds.

Method Summary
`protected CachableRed` | `convertSourceCS(CachableRed cr)`
`protected CachableRed` | `convertSourceCS(RenderedImage ri)`
`ColorSpace` | `getOperationColorSpace()`
`boolean` | `isColorSpaceLinear()` Returns true if this operation is to be performed in the linear sRGB colorspace, returns false if the operation is performed in gamma corrected sRGB.
`void` | `setColorSpaceLinear(boolean csLinear)` Sets the colorspace the operation will be performed in.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createRendering`

Field Detail

### csLinear

    protected boolean csLinear

  Indicates if the operation should be done in linear or gamma corrected sRGB.

Constructor Detail

### AbstractColorInterpolationRable

    protected AbstractColorInterpolationRable()

  void constructor. The subclass must call one of the flavors of init before the object becomes usable. This is useful when the proper parameters to the init method need to be computed in the subclasses constructor.

### AbstractColorInterpolationRable

    protected AbstractColorInterpolationRable(Filter src)

  Construct an Abstract Rable from src.

  Parameters:
    `src` - will be the first (and only) member of the srcs Vector. The bounds of src are also used to set the bounds of this renderable.

### AbstractColorInterpolationRable

    protected AbstractColorInterpolationRable(Filter src,
                                              Map props)

  Construct an Abstract Rable from src and props.

  Parameters:
    `src` - will also be set as the first (and only) member of the srcs Vector.
    `props` - use to initialize the properties on this renderable image.

### AbstractColorInterpolationRable

    protected AbstractColorInterpolationRable(List srcs)

  Construct an Abstract Rable from a list of sources.

  Parameters:
    `srcs` - This is used to initialize the srcs Vector. The bounds of this renderable will be the union of the bounds of all the sources in srcs. All the members of srcs must be CachableRable otherwise an error will be thrown.

### AbstractColorInterpolationRable

    protected AbstractColorInterpolationRable(List srcs,
                                              Map props)

  Construct an Abstract Rable from a list of sources, and bounds.

  Parameters:
    `srcs` - This is used to initialize the srcs Vector. All the members of srcs must be CachableRable otherwise an error will be thrown.
    `props` - use to initialize the properties on this renderable image.

Method Detail

### isColorSpaceLinear

    public boolean isColorSpaceLinear()

  Returns true if this operation is to be performed in the linear sRGB colorspace, returns false if the operation is performed in gamma corrected sRGB.

### setColorSpaceLinear

    public void setColorSpaceLinear(boolean csLinear)

  Sets the colorspace the operation will be performed in.

  Parameters:
    `csLinear` - if true this operation will be performed in the linear sRGB colorspace, if false the operation will be performed in gamma corrected sRGB.

### getOperationColorSpace

    public ColorSpace getOperationColorSpace()

### convertSourceCS

    protected CachableRed convertSourceCS(CachableRed cr)

### convertSourceCS

    protected CachableRed convertSourceCS(RenderedImage ri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.